.menulog {
  display: none;
}
.menu {
  text-align: center;
  padding: 8px 0;
  background: #ececec;
}

.menu__links-item img {
  vertical-align: middle;
}

.menu__icon {
  display: none;
  width: 45px;
  height: 35px;
  position: relative;
  cursor: pointer;
}

.menu__icon span {
  display: block;
  position: absolute;
  height: 5px;
  width: 100%;
  background: #333333;
  border-radius: 9px;
  opacity: 1;
  left: 0;
  transform: rotate(0deg);
  transition: 0.25s ease-in-out;
}

.menu__icon span:nth-child(1) {
  top: 0px;
}

.menu__icon span:nth-child(2),
.menu__icon span:nth-child(3) {
  top: 13px;
}

.menu__icon span:nth-child(4) {
  top: 26px;
}

.menu__links-item {
  display: inline-block;
  color: #333333;
  font-family: Arial;
  font-size: 14px;
  line-height: 30px;
  padding: 0 10px;
  text-transform: uppercase;
  text-decoration: none;
}

.menu__links-item:hover {
  text-decoration: underline;
}

.menu.menu_state_open .menu__icon span:nth-child(1) {
  top: 18px;
  width: 0%;
  left: 50%;
}

.menu.menu_state_open .menu__icon span:nth-child(2) {
  transform: rotate(45deg);
  background: #fff;
}

.menu.menu_state_open .menu__icon span:nth-child(3) {
  transform: rotate(-45deg);
  background: #fff;
}

.menu.menu_state_open .menu__icon span:nth-child(4) {
  top: 18px;
  width: 0%;
  left: 50%;
}

.menu.menu_state_open .menu__links {
  display: block;
}

@media screen and (max-width: 999px) {
  .menulog {
    width: 100%;
    max-width: 55px;
    margin-left: 8px;
    margin-top: 0px;
    display: block;
  }
  .menu {
    text-align: right;
    padding-top: 10px;
    padding-right: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  .menu__icon {
    display: inline-block;
    z-index: 900;
  }

  .menu__links {
    position: fixed;
    display: none;
    top: 0;
    right: 0;
    left: 0;
    height: 100%;
    padding-top: 50px;
    background-color: rgba(0, 0, 0, 0.9);
    z-index: 100;
    overflow: auto;
  }

  .menu__links-item {
    display: block;
    padding: 10px 0;
    text-align: center;
    color: #ffffff;
    font-size: 24px;
    line-height: 45px;
  }

  .menu__links-item-mob {
    display: none;
  }
}
